
  const int FLEX_PIN = A0; // Pin connected to voltage divider output

  // Measure the voltage at 5V and the actual resistance of your
  // resistor, and enter them below:
  const float VCC = 4.98; // Measured voltage of Ardunio 5V line
  const float R_DIV = 47500.0; // Measured resistance of 3.3k resistor
  
  // Upload the code, then try to adjust these values to more
  // accurately calculate bend degree.
  const float STRAIGHT_RESISTANCE = 22000.0; // resistance when straight, value of resistence
  const float BEND_RESISTANCE = 220000.0; // resistance at 90 deg - measure it using multimeter
  
  void setup() 
  {
    Serial.begin(9600);
    pinMode(FLEX_PIN, INPUT);
  }
  
  void loop() 
  {
    // Read the ADC, and calculate voltage and resistance from it
    int flexADC = analogRead(FLEX_PIN);
    float flexV = flexADC * VCC / 1023.0;
    float flexR = R_DIV * (VCC / flexV - 1.0);
    Serial.println("Resistance: " + String(flexR) + "ohms");
  
    // Use the calculated resistance to estimate the sensor's
    // bend angle:
    float angle = map(flexR, 0, BEND_RESISTANCE, 0, 90.0);
    Serial.println("Bend: " + String(angle) + " degrees");
    Serial.println();
  
    delay(500);
  }
